Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class PaintListenerSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.event.PaintListenerSupport

All Implemented Interfaces:
  java.io.Serializable

public class PaintListenerSupport
extends ListenerSupport

This is a utility class that can be used by beans that need support for handling PaintListeners and calling the PaintListener.paint() method. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`PaintListenerSupport()` Construct a PaintListenerSupport.
`PaintListenerSupport(java.lang.Object source)` Construct a PaintListenerSupport.

Method Summary
`void` | `addPaintListener(PaintListener l)` Add a PaintListener.
`void` | `paint(java.awt.Graphics graphics)` Send a Paint event to all registered listeners.
`void` | `removePaintListener(PaintListener l)` Remove a PaintListener.

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaintListenerSupport

    public PaintListenerSupport()

  Construct a PaintListenerSupport.

### PaintListenerSupport

    public PaintListenerSupport(java.lang.Object source)

  Construct a PaintListenerSupport.

Parameters:
  `source` - source Object

Method Detail

### addPaintListener

    public void addPaintListener(PaintListener l)

  Add a PaintListener.

  Parameters:
    `l` - PaintListener

### removePaintListener

    public void removePaintListener(PaintListener l)

  Remove a PaintListener.

  Parameters:
    `l` - PaintListener

### paint

    public void paint(java.awt.Graphics graphics)

  Send a Paint event to all registered listeners.

  Parameters:
    `graphics` - PaintEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details